import { readFileSync } from 'node:fs';
import { Command, Option } from 'commander';
import { createDevServer } from './devServer.js';
function getVersion() {
    const { version } = JSON.parse(readFileSync(new URL('../../../package.json', import.meta.url), 'utf-8'));
    return version;
}
export function createCLI() {
    return new Command('lwc-dev-server')
        .description('LWC Local Developement')
        .addOption(new Option('-c, --config <file>', `[string] use specified lwc.config.json file`).default('lwc.config.json'))
        .addOption(new Option('--rootDir <directory>', `[string] use specified root directory`).default(process.cwd(), '"."'))
        .addOption(new Option('--logLevel <level>', `[string] use specified log level`)
        .env('LWC_LOG_LEVEL')
        .choices(['debug', 'verbose', 'info', 'warn', 'error', 'silent'])
        .default('info'))
        .addCommand(createDevServer())
        .showHelpAfterError()
        .version(getVersion());
}
//# sourceMappingURL=index.js.map